optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.ENCInput Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.ENCInput:

## Public Member Functions
| __init__ (self, board=None)
| SetCounter (self, value)
| GetCounter (self)
| SetMaxerror (self, value)
| GetMaxerror (self)
| SetAutoResetZ (self, value)
| GetAutoResetZ (self)
| GetZCount (self)
| SetZCount (self, value)
| SetValue (self, value)
| GetValue (self)
| get_value (self, channel)
| get_value_id (self, channel)
| init (self)
| is_init_done (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| counter
| maxerror
| autoreset_z
| value
| zcount
| lasterror
| n_sensors
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list
Public Attributes inherited from optoKummenberg.registers.InputStage.FeedbackSystem
| n_sensors

## Protected Attributes
| _readonly
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.ENCInput.__init__ | ( |  | self,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ get_value()

optoKummenberg.registers.InputStage.ENCInput.get_value | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ get_value_id()

optoKummenberg.registers.InputStage.ENCInput.get_value_id | ( |  | self,
|  |  | channel )

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ GetAutoResetZ()

optoKummenberg.registers.InputStage.ENCInput.GetAutoResetZ | ( |  | self | ) |

## ◆ GetCounter()

optoKummenberg.registers.InputStage.ENCInput.GetCounter | ( |  | self | ) |

## ◆ GetMaxerror()

optoKummenberg.registers.InputStage.ENCInput.GetMaxerror | ( |  | self | ) |

## ◆ GetValue()

optoKummenberg.registers.InputStage.ENCInput.GetValue | ( |  | self | ) |

## ◆ GetZCount()

optoKummenberg.registers.InputStage.ENCInput.GetZCount | ( |  | self | ) |

## ◆ help()

optoKummenberg.registers.InputStage.ENCInput.help | ( |  | ) |
| static

## ◆ init()

optoKummenberg.registers.InputStage.ENCInput.init | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ is_init_done()

optoKummenberg.registers.InputStage.ENCInput.is_init_done | ( |  | self | ) |

Reimplemented from optoKummenberg.registers.InputStage.FeedbackSystem.

## ◆ SetAutoResetZ()

optoKummenberg.registers.InputStage.ENCInput.SetAutoResetZ | ( |  | self,
|  |  | value )

## ◆ SetCounter()

optoKummenberg.registers.InputStage.ENCInput.SetCounter | ( |  | self,
|  |  | value )

## ◆ SetMaxerror()

optoKummenberg.registers.InputStage.ENCInput.SetMaxerror | ( |  | self,
|  |  | value )

## ◆ SetValue()

optoKummenberg.registers.InputStage.ENCInput.SetValue | ( |  | self,
|  |  | value )

## ◆ SetZCount()

optoKummenberg.registers.InputStage.ENCInput.SetZCount | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _readonly

optoKummenberg.registers.InputStage.ENCInput._readonly
| protected

## ◆ autoreset_z

optoKummenberg.registers.InputStage.ENCInput.autoreset_z

## ◆ counter

optoKummenberg.registers.InputStage.ENCInput.counter

## ◆ lasterror

optoKummenberg.registers.InputStage.ENCInput.lasterror

## ◆ maxerror

optoKummenberg.registers.InputStage.ENCInput.maxerror

## ◆ n_sensors

optoKummenberg.registers.InputStage.ENCInput.n_sensors

## ◆ name

optoKummenberg.registers.InputStage.ENCInput.name

## ◆ sys_id

optoKummenberg.registers.InputStage.ENCInput.sys_id

## ◆ value

optoKummenberg.registers.InputStage.ENCInput.value

## ◆ zcount

optoKummenberg.registers.InputStage.ENCInput.zcount

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py